﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HengshanPaymentTerminal.Http
{
    public interface IHttpClientUtil
    {
        /// <summary>
        /// 发送油枪信息给云端
        /// </summary>
        /// <param name="requestJson"></param>
        /// <returns></returns>
        Task<HttpResponseMessage> SendNozzleInfo(string requestJson);// { return null; }

        /// <summary>
        /// 创建订单
        /// </summary>
        /// <param name="requestJson"></param>
        /// <returns></returns>
        Task<HttpResponseMessage> CreateTransaction(string requestJson); //{ return null; }

        /// <summary>
        /// 发送油枪状态到云端
        /// </summary>
        /// <param name="requestJson"></param>
        /// <returns></returns>
        Task<HttpResponseMessage> SendNozzleStatu(string requestJson);
    }
}
